curl --request POST \
--url https://platform.spritz.finance/v1/auto-ramp-accounts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2a3b8",
"token": "USDC"
}
'import requests
url = "https://platform.spritz.finance/v1/auto-ramp-accounts/"
payload = {
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2a3b8",
"token": "USDC"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({address: '0x742d35Cc6634C0532925a3b844Bc9e7595f2a3b8', token: 'USDC'})
};
fetch('https://platform.spritz.finance/v1/auto-ramp-accounts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "507f1f77bcf86cd799439011",
"depositInstructions": {
"bankName": "Lead Bank",
"bankAddress": "1801 Main St, Kansas City, MO 64108",
"paymentRails": [
"ach",
"wire"
],
"type": "us",
"bankRoutingNumber": "101019644",
"bankAccountNumber": "1234567890"
},
"network": "ethereum",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"token": "USDC",
"currency": "USD",
"status": "active",
"createdAt": "2025-01-15T10:30:00.000Z"
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "<string>",
"status": 404,
"resourceType": "user",
"resourceId": "<string>",
"type": "about:blank",
"detail": "<string>",
"instance": "<string>"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}Create an auto-ramp account
Creates a new auto-ramp account for the authenticated user. The account is a virtual bank account that automatically converts fiat deposits to crypto. The address must be valid for the specified network, and the network/token combination must be supported for your region.
Authorizations
User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.
Body
Request body for creating a new auto-ramp account. The address format must be valid for the specified network, and the network/token combination must be supported for your region.
Request body for creating a new auto-ramp account. The address format must be valid for the specified network, and the network/token combination must be supported for your region.
Destination wallet address for crypto payouts
"0x742d35Cc6634C0532925a3b844Bc9e7595f2a3b8"
ethereum, polygon, base, arbitrum, avalanche, optimism, solana, tron, bitcoin Token to receive (must be valid for network)
"USDC"
Response
A virtual bank account that automatically converts fiat deposits to crypto. The account is opened in the user's name - funds deposited are converted to the specified token and sent to the destination wallet address. Important: Always confirm the account status is 'active' before initiating a deposit.
A virtual bank account that automatically converts fiat deposits to crypto. The account is opened in the user's name - funds deposited are converted to the specified token and sent to the destination wallet address. Important: Always confirm the account status is 'active' before initiating a deposit.
Unique identifier for this auto-ramp account
"507f1f77bcf86cd799439011"
Deposit instructions for the virtual account. The type field indicates the account format: us for ACH/wire (routing + account number) or iban for SEPA (IBAN + BIC).
- Option 1
- Option 2
Show child attributes
Show child attributes
Blockchain network where converted crypto will be sent. Lowercase network identifier.
"ethereum"
Destination wallet address. Fiat deposits are converted and sent to this address.
"0x1234567890abcdef1234567890abcdef12345678"
Token that fiat deposits will be converted to
"USDC"
Fiat currency accepted for deposits
"USD"
active, inactive Timestamp when this auto-ramp account was created (ISO 8601)
"2025-01-15T10:30:00.000Z"